@echo off
call ov.envvars.bat
cls

set	LANG=C

echo -
echo This will install the required Insight Integration for HP OpenView NNM
echo components on this NNM remote console system.
echo -
echo OpenView BIN Directory is %OV_BIN%
echo OpenView BITMAPS Directory is %OV_BITMAPS%
echo OpenView SYMBOLS Directory is %OV_SYMBOLS%
echo OpenView CONF Directory is %OV_CONF%
echo OpenView REGISTRATION Directory is %OV_REGISTRATION%
echo OpenView LRF Directory is %OV_LRF%
echo OpenView HELP Directory is %OV_HELP%
echo OpenView FIELDS Directory is %OV_FIELDS%
echo -
echo LANG=C
Echo -
Echo If the above entries appear correct, you may proceed with the installation.
echo -
Echo By continuing with this installation, the user agrees to the terms of
Echo the license agreement.  Press any key to begin installing the Insight 
Echo Integration for the HP OpenView Network Node Manager Remote Console,
Echo or press CTRL-C to exit.
echo -
pause

echo Installing the Insight Integration Binary Files...
echo Installing the Insight Integration Binary Files... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_BIN%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

call copy .\bin\cpqweb.exe "%OV_BIN%\cpq\cpqweb.exe" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\bin\cpqriloe.exe "%OV_BIN%\cpq\cpqriloe.exe" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\bin\cpqmap.exe "%OV_BIN%\cpq\cpqmap.exe" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Done. 1>>"%OV_BIN%\ciminstall.log"
echo -
echo The following environment variable on the remote console should be set to
echo the IP Address of the Systems Insight Manager server.  The current value is:
echo CIMXEIp=%CIMXEIp%
echo -
echo The GUI on the remote console should be restarted after
echo the installation completes.
echo -

:end
